Module | Sequel::LooserTypecasting
In: | lib/sequel/extensions/looser_typecasting.rb

### Methods

typecast_value_float typecast_value_integer

### Public Instance methods

typecast_value_float(value)

Typecast the value to a Float using to_f instead of Kernel.Float

[Source]

        # File lib/sequel/extensions/looser_typecasting.rb, line 12
    12:     def typecast_value_float(value)
    13:       value.to_f
    14:     end

typecast_value_integer(value)

Typecast the value to an Integer using to_i instead of Kernel.Integer

[Source]

        # File lib/sequel/extensions/looser_typecasting.rb, line 17
    17:     def typecast_value_integer(value)
    18:       value.to_i
    19:     end

[Validate]